+++
title = "L'horodatage"
description = "L'horodatage"
tags = [ "Horodatage" ]
date = "2014-04-04"
+++
{{< toc >}}

Tout comme pour la signature électronique, il a fallu adapter l'inscription d'un indicateur temporel au format
électronique. Il est nécessaire de pouvoir connaître la date et l'heure précises auxquelles des informations et
documents de tous types ont été échangés. Cet impératif probatoire a été réglé par l'introduction de l'horodatage,
qui est un système permettant d'associer une date et une heure à un événement, une information ou une donnée
informatique.

 Dans le cadre de l'horodatage, on peut également distinguer en fonction de sa fiabilité, mais surtout de la
certification du prestataire d’horodatage, qui permet à cet horodatage de bénéficier ou non de la présomption de
fiabilité devant les tribunaux en cas de litige. Si le système d'horodatage ne bénéficie pas de la présomption, ce
sera à celui qui avance sa fiabilité, de la prouver.

La lecture de ce billet est recommandée après avoir pris connaissance du billet sur
[Le régime de la preuve électronique]({{< relref "./44-le-regime-de-la-preuve-electronique" >}}).

## 1\. Horodatage fiable

Article 2 du décret n°2011-434 du 20 avril 2011 dispose : Un procédé d'horodatage électronique est présumé fiable si
le prestataire de services d'horodatage électronique mettant en œuvre ce procédé et le module d'horodatage utilisé
satisfont aux exigences fixées au présent chapitre.

Donc pour être fiable plusieurs conditions sont à remplir que l'on peut distinguer en deux catégories distinctes :

### 1\. Le module d'horodatage utilisé doit satisfaire aux conditions suivantes

(article 4 du Décret du 20 avril 2011)

1. Délivrer des contremarques de temps comportant chacune, selon les règles et normes en vigueur, au moins les éléments
  suivants : (les jetons d'horodatage distribués par le module doivent comprendre les points a à c ci-après cités)
    * La représentation de la donnée horodatée ; (indication de la date et de l'heure)
    * La valeur du temps au moment de sa production ; (indication de la référence temps utilisée)
    * Le cachet de la contremarque de temps (c'est une donnée sous forme électronique permettant d’identifier le
      prestataire de services d’horodatage électronique qui la délivre).
2. Générer des données de signature des contremarques de temps du prestataire de services d'horodatage électronique,
  garantir que cette production peut être réalisée exclusivement par des personnes autorisées et empêcher toute
  importation ou exportation de ces données ;(aucune personne non habilitée à générer des contremarques de temps avec
  les données confidentielles ne doit pouvoir le faire, pour cela le prestataire doit tout mettre en œuvre pour veiller
  dessus et doit être identifié à l'aide d'un certificat). Assurer, par des moyens techniques et des procédures
  appropriés, la confidentialité et l'intégrité des données de signature des contremarques de temps du prestataire de
  services d'horodatage électronique durant tout le cycle de vie de ces données et permettre la destruction sûre de ces
  mêmes données en fin de vie (Il faut par des moyens techniques que les données confidentielles et leur intégrité
  soient conservées en sécurité et qu'elles puissent être détruites de façon sure en fin de vie de l’horodatage, les
  données confidentielles doivent être à l'abri de toute divulgation).
3. Assurer, par des moyens techniques appropriés, la fiabilité de la synchronisation de l'horloge interne avec une ou
  plusieurs sources de temps fiables ;(L'horloge interne du module doit être synchronisée avec une source de temps fiable).
4. Etre capable d'identifier et d'authentifier les personnes accédant au module d'horodatage ;(Il faut pouvoir
  connaître l'identité de façon certaine de toutes les personnes ayant recours au service d'horodatage, par exemple via
  un certificat électronique).
5. Contrôler l'accès aux composantes du module d'horodatage selon l'identité et la fonction des personnes ; (doit
  pouvoir être vérifié l'accès à chaque service que le module propose en fonction des différentes personnes autorisées
  ou non).
6. Détecter toute compromission ou tentative de compromission et d'altérations physiques à l'encontre du module
  cryptographique et entrer dans un état sûr lorsque de telles tentatives sont détectées sur la protection des données
  de signature de contremarque de temps ; (il faut pouvoir prévenir de toutes tentatives d'attaques contre le module
  afin de protéger les données confidentielles)
7. Etre capable de mener une série de tests pour vérifier que le module cryptographique fonctionne correctement et
  entrer dans un état sûr si ce module cryptographique détecte une erreur (il faut pouvoir vérifier que le module
  fonctionne correctement et pouvoir sécurisé le module si une erreur est détectée, donc ne plus délivrer de jetons et
  protéger de toutes atteintes ceux déjà délivrés ainsi que les données y afférents en attendant la correction de
  l'erreur).
8. Créer des enregistrements d'audit pour chaque modification concernant la sécurité du module cryptographique et la
  synchronisation de l'horloge interne avec une ou plusieurs sources de temps fiables ;(créer des enregistrements du
  fonctionnement du systèmes de sécurité du module ainsi que des enregistrements des synchronisations de l'horloge
  interne du module avec différentes sources de temps, cela afin d'en garder une trace).
9. Permettre de créer un cachet de contremarque de temps qui ne révèle pas les données de signature de contremarque de
  temps du prestataire de services d'horodatage électronique et qui ne peut pas être falsifié sans la connaissance de
  ces données. (comme vu précédemment un cachet de contremarque de temps est une donnée sous forme électronique
  permettant d’identifier le prestataire de services d’horodatage électronique qui la délivre, cependant ce prestataire
  tout en pouvant être identifié ne doit pouvoir être falsifié, ce qui signifie que les données permettant une telle
  falsification doivent pouvoir être gardées secrètes, seules les données d'identification générale doivent être
  connues, c'est-à-dire qu'il suffit de savoir qui est le prestataire).

Si le module d'horodatage répond à toutes ces conditions, il peut être certifié conforme, par le Premier ministre.
(Article 5 Décret du 20 avril 2011)

### 2\. Le prestataire de service d'horodatage doit répondre à ces conditions

(article 3 Décret du 20 avril 2011)

Le prestataire de services d'horodatage électronique se conforme aux exigences suivantes :

Disposer de personnel ayant les connaissances, l'expérience et les qualifications nécessaires à la fourniture de
services d'horodatage électronique ; (le prestataire doit être en mesure de fournir un service d'horodatage
électronique et avoir un personnel qui devrait être en mesure de remplir l'exigence de "l'expertise, l'expérience et
des qualifications" au moyen de la formation professionnelle et d'attestations professionnelles, de l'expérience
réelle, ou d’une combinaison des deux). Appliquer des procédures de sécurité appropriées ; (le prestataire doit
pouvoir garantir sa fiabilité, sa sécurité). Utiliser des systèmes et des produits assurant la sécurité technique
et cryptographique des fonctions qu'ils assurent, notamment un module d'horodatage satisfaisant aux exigences de
l'article 4 ; (Les prestataires de services doivent assurer la sécurité des fonctions de l’horodatage comme par
exemple par le biais du module d'horodatage certifié). Assurer que l'horloge interne du module d'horodatage est
synchronisée avec une ou plusieurs sources de temps fiable selon les performances garanties par le prestataire de
services d'horodatage électronique et cesser de délivrer des contremarques de temps en cas de désynchronisation en
dehors des performances garanties ; (le prestataire de services d'horodatage doit pouvoir assurer la fiabilité de la
source de temps utilisée comme référence pour le marquage des jetons d'horodatage et en cas de dérèglement de l'horloge
le prestataire devra cesser de distribuer des contremarques de temps). Prendre toute disposition propre à prévenir la
falsification des contremarques de temps ; Disposer d'un certificat d'horodatage ; Conserver toutes les informations
relatives au fonctionnement du service d'horodatage électronique et utiles à la manifestation de la preuve d'une date
selon des règles appropriées de confidentialité et d'intégrité ;(le prestataire de service doit conserver l'historique
de ses activités relatives au fonctionnement du service d'horodatage, c'est une trace de tout ce qu'il a fait).

Mettre à disposition des utilisateurs et des abonnés par les moyens les plus appropriés les informations suivantes (les
clients doivent pouvoir prendre connaissance des informations suivantes) :

a) Ses coordonnées permettant d'entrer en contact rapidement et de communiquer directement avec lui ; (un moyen de
joindre rapidement le prestataire)

b) Les conditions générales d'utilisation des services d'horodatage électronique ;(les droits et obligations de chacun
pour le bon fonctionnement du système d'horodatage)

c) Les conditions générales de vérification des contremarques de temps et notamment le certificat d'horodatage ;(c'est
le fonctionnement, la façon dont est effectuée la vérification des jetons d'horodatage et notamment du certificat
d'horodatage)

d) Les performances garanties et notamment la précision de la date des contremarques de temps et l'échelle de temps
utilisée ;(c'est le recensement des services proposés et également leurs performances dont la précision de la date et
l'heure en précisant le référentiel)

e) Les principales caractéristiques techniques des dispositifs utilisés et les procédures qu'il met en place ;

f) Le cas échéant la mention de la qualification visée à l'article 6 ;(le prestataire de service doit indiquer s'il est
qualifié, car cela signifie qu'il répond aux conditions fixées pour le prestataire de services mais également que le
module d'horodatage utilisé répond au conditions qui lui sont imposées)

g) Les voies ouvertes pour les réclamations et le règlement des litiges (le prestataire doit informer les utilisateurs
d'un moyen de communiquer leur mécontentement ainsi que les réponses pour y remédier et si cela devait aboutir à un
litige il doit les informer de la manière dont il pourrait être réglé, la démarche à suivre);

Avoir défini un plan de cessation d'activité permettant de garantir la continuité du service de vérification des
contremarques de temps émises ; en particulier, en cas de cessation d'activité le prestataire de services d'horodatage
électronique doit informer préalablement les utilisateurs de cette cessation et des conditions dans lesquelles sera
assurée la continuité du service de vérification des contremarques de temps ; (le prestataire doit avoir prévu dans le
cas où il serait dans l'obligation de cesser son activité la façon dont pourra être assuré la continuité du service
pour les contremarques déjà distribuées, de plus si le prestataire est soumis à un plan de cessation d'activité il doit
en informer ses utilisateurs. En d'autres termes, il doit garantir que les dérangements potentiels aux utilisateurs de
contremarques de temps seront réduits au minimum suite à la cessation d'activité du service d'horodatage et assurer en
particulier la maintenance continue des informations nécessaires pour vérifier la justesse des contremarques de temps
délivrées). Publier sans délai tout événement affectant la fiabilité des contremarques de temps émises (si l’horodatage
n'était plus fiable d'une manière ou d'une autre, le prestataire s'engage à le communiquer immédiatement); Être capable
de démontrer le respect des exigences précitées (le prestataire de service d'horodatage électronique doit pouvoir
démontrer qu'il est en conformité avec toutes les conditions citées ci-dessus d'où l'utilité d'être qualifié qui fera
bénéficier de la présomption).

Les prestataires de service d'horodatage électronique peuvent être reconnus certifiés s'ils répondent aux conditions
précitées et si le module d'horodatage est certifié conforme. Cette certification est délivrée par un organisme
accrédités pour le faire, elle engendre une présomption simple, ce qui signifie qu'en cas de remise en cause de la
validité de cet horodatage, la présomption jouera et il appartiendra à celui qui met en cause la fiabilité de
l'horodatage de prouver ce qu'il avance, ce qui sera très difficile et donc rend la date presque infaillible.

Alors que, pour le système d'horodatage qui ne dispose pas d'une telle présomption, ce sera à celui qui prétend être
fiable de le prouver donc de démontrer qu'il répond à toutes les exigences, mais cela peut être long et fastidieux.

A quoi sert une date certaine ? (cette question ne se pose que dans le cadre des actes sous seing privé, ce qui exclut
par conséquent les actes administratifs) L'article 1328 du Code civil dispose : « Les actes sous seing privé n'ont de
date contre les tiers que du jour où ils ont été enregistrés, du jour de la mort de celui ou de l'un de ceux qui les
ont souscrits, ou du jour où leur substance est constatée dans les actes dressés par des officiers publics, tels que
procès-verbaux de scellé ou d'inventaire ». Cet article définit à quelles conditions une date peut être considérée
comme certaine.

Les actes sous seing privés ne sont opposables qu'aux parties qui les ont signés. Si par la suite il y a un litige
entre les parties sur la validité de la date, celui qui se prévaut de la validité de la date doit apporter à la
juridiction tous les éléments extrinsèques à l'acte (extérieurs à l'acte) qui pourront permettre au juge de statuer
(trancher le litige dans un sens ou un autre). Sauf si l’horodatage répond aux conditions lui permettant d'accéder à
la présomption édictée par le décret, c'est alors à la partie qui conteste la validité d'apporter la preuve de ce qu'il
avance.

Par contre, si le différent oppose le ou les auteurs d'un acte sous seing privé à un tiers, alors la notion de « date
certaine » édictée par l'article 1328 du Code civil sera utile, puisque la date d'un acte sous seing privé n'est
opposable aux tiers que si la date est reconnue comme certaine donc si : l'acte, s'il est sous seing privé est
enregistré. La date est alors certaine au jour de l'enregistrement. l'acte est authentique ou relaté dans un acte
authentique. l'une des parties à l'acte est décédée la date est alors certaine au jour du décès.

Cet article édicte dans quelles conditions la date d'un acte sous seing privé est reconnue certaine. La question est de
savoir si l'horodatage par un procédé électronique fiable permet d'établir une date certaine au sens de l'article 1328
du Code civil. Le Décret du 20 avril 2011 est silencieux sur ce point, de même que l'article 1328 du Code civil, donc
il ne semble pas possible d'élargir les termes de cet article au procédé d'horodatage, il faudra attendre un
positionnement de la jurisprudence sur ce point.

**Conclusion** : même si l'horodatage qui réunit les exigences fixées par le décret ne permet pas d'accéder au rang de
date certaine pour les actes sous seing privés, il permet tout de même de bénéficier d'une présomption, ce qui est un
avantage majeur, qui permettra de renverser la charge de la preuve, rendant la preuve de l'invalidité de la
contremarque de temps beaucoup plus complexe à rapporter pour celui qui la conteste. Alors qu'un simple horodatage ne
permet pas de bénéficier de la présomption, donc en cas de contestation de validité de la date, ce sera à ceux qui se
prévalent de cette validité de la démontrer et ce dans tous les cas et non pas seulement dans le cadre d'un acte sous
seing privé.

## 2\. L'horodatage simple

Ce type d'horodatage ne bénéficie pas de la présomption de fiabilité qui permet de retourner la charge de la preuve en
cas de litige. Il appartiendra donc à celui qui se prévaut de la fiabilité de ce système d'horodatage d'en rapporter la
preuve. Le juge pourra prendre en compte un faisceau d'indices pour établir la fiabilité du mécanisme d'horodatage, qui
sans pour autant avoir été certifié par le Premier Ministre peut tout de même répondre aux critères de sécurité requis
et être fiable. La fiabilité de cet horodatage dépendra de plusieurs facteurs : la politique de synchronisation du
serveur par rapport à des sources de temps et l'effectivité de sa mise en œuvre ; la synchronisation de l’événement et
de la mise en œuvre de la réalisation de sa trace ; la conservation de la trace réalisée dans les conditions de nature
à en garantir l'intégrité, afin de s'assurer que l'information de date enregistrée n'a pas pu être modifiée a posteriori.

A retenir : ce n'est pas parce qu'un système d'horodatage n'est pas certifié qu'il n'est pas fiable. Cela signifie
simplement qu'il ne dispose pas de la présomption de fiabilité. Utilité de l'horodatage : « Le lien entre l'horodatage
simple et l’événement ou le document auquel il se rapporte est établi uniquement par l'enregistrement effectué dans la
base de données. La date à laquelle la signature électronique a été réalisée est un élément fondamental de la
vérification de signature, puisqu'elle permet d'apprécier si le certificat était encore en cours de validité et non
révoquée au moment de la signature. Par défaut, la date et l'heure sont inclus dans les données de la signature. Mais
si un usurpateur a volé la clé privée d'un tiers et veut réaliser des vraies fausses signatures à sa place, il n'aura
qu'à reculer la date de son ordinateur pour faire croire que la signature a eu lieu avant le vol et ainsi lors de la
vérification, la signature volée apparaîtra comme valide. Le seul moyen pour éviter ce genre de situation reste
l’horodatage certifié. »

## Horodatage ADULLACT

_Liberhorodatage_ est un service d'horodatage compatible RFC3161 fourni par l'ADULLACT, qui permet la production et la
vérification de jetons d'horodatage.

Les jetons produits par _Liberhorodatage_ ne sont pas signés par un certificat provenant d'une autorité de confiance.

[Service d'horodatage **ADULLACT**](http://horodatage.services.adullact.org/)
